var flag=false; 
function DrawImage(ImgD){
	var image=new Image();
	image.src=ImgD.src;
	if(image.width>0 && image.height>0){
		flag=true;
		if(image.width/image.height>= 700/700){
			if(image.width>700){
				ImgD.width=700; ImgD.height=(image.height*700)/image.width;
			}else{
				ImgD.width=image.width; ImgD.height=image.height;
			}
		} else{
			if(image.height>700){
				ImgD.height=700; ImgD.width=(image.width*700)/image.height; 
			}else{
				ImgD.width=image.width; ImgD.height=image.height;
			}
		}
	}
}

function DrawImageWidth(ImgD,w){
	if(w=='') w=700;
	var image=new Image();
	image.src=ImgD.src;
	if(image.width>0 && image.height>0){
		flag=true;
		if(image.width>w){
			ImgD.width=w;
		}else{
			ImgD.width=image.width;
		}
	}
}
function bbs_tjcheck(ly,yzm)
{
	if(ly=="")
	{
		alert("不能发空信息!");
		return false;
	}
	if(yzm=="")
	{
		alert("验证码不能为空!");
		//document.tj.yzm.focus();
		return false;
	}
	if(ly.length>2000)
	{
		alert("留言过多!");
		return false;
	}
}

function bbszcjc(yhm,mm,xmm,lxfs,yyzm,yzm)
{
	if(yhm=="")
	{
		alert('用户名不能为空!');
		document.frm.yhm.focus();
		return false;
	}
	if(yhm.indexOf("'")>=0 ||yhm.indexOf("<")>=0 ||yhm.indexOf(">")>=0 ||yhm.indexOf(".")>=0)
	{
		alert('用户名不能有乱码!');
		document.frm.yhm.focus();
		return false;
	}

	if(mm=="")
	{
		alert('密码不能为空!');
		document.frm.mm.focus();
		return false;
	}
	if(mm!=xmm)
	{
		alert('两次输入密码不一致!');
		document.frm.mm.focus();
		return false;
	}
	if(mm.indexOf("'")>=0 ||mm.indexOf("<")>=0 ||mm.indexOf(">")>=0 ||mm.indexOf(".")>=0)
	{
		alert('不能有乱码!');
		document.frm.mm.focus();
		return false;
	}
	if(lxfs=="")
	{
		alert('邮箱不能为空!');
		document.frm.lxfs.focus();
		return false;
	}
	if(yzm!=yyzm)
	{
		alert("验证码不对,无法提交!");
		document.frm.yzm.focus();
		return false;
	}
	return true;
}

function city_logindl(yhm,pass)
{
	if (yhm=="")
	{	
		alert('输入您的姓名');
		document.frm.yhm.focus();
		return false;
	}
	if (yhm.indexOf("'")>=0)
	{
		alert('用户名包含非法字符!');
		document.frm.yhm.focus();
		return false;
	}
	if (pass=="")
	{
		alert('输入密码!');
		document.frm.pass.focus();
		return false;
	}
	return true;
}

function check(zt,yzm,ly)
{
	zt = zt.replace(/ /g,"");
	if(zt==""||zt=="回复:")
	{
		alert("主题不能为空");
		
		return false;
	}
	if(zt.length>50)
	{
		alert("主题不能超过50个字符!");
		//document.tj.zt.focus();
		return false;
	}

	if(zt.length<3 )
	{
		alert("主题不能少于3个字符!");
		//document.tj.zt.focus();
		return false;
	}
	if(ly=="")
	{
		alert("不能发空话题!");
		return false;
	}
	if(yzm=='')
	{
		alert("验证码为空,无法提交!");
		//document.tj.yzm.focus();
		return false;
	}
	if(ly.length>8000)
	{
		alert("字数超8000字符,过多!");
		return false;
	}
}

var dd="";
function pltj()
{ 
    var list="";
	for(var i=0;i<document.all.length;i++){ 
		if (document.all[i].type=="checkbox"&&document.all[i].name!="qx"){
			if (document.all[i].checked && i<document.all.length){
				list += document.all[i].value + ",";
			}
		}
	}
	return list;
}
function selectall()
{
	if (dd==""){
		for(var i=0;i<document.all.length;i++){
			if (document.all[i].type=="checkbox")
				document.all[i].checked = true;
		}
		dd="1";
	}
	else{
		for(var i=0;i<document.all.length;i++){ 
			if (document.all[i].type=="checkbox")
				document.all[i].checked = false;
		}
		dd="";
	}
}
function gn(i,dd,xs)
{
	if(xs=="none")
	{
		for(var j=1;j<=dd;j++)
		{
			if(i!=j)
			{
				document.all("tb"+j).style.display="none";
			}
			else
			{
				document.all("tb"+i).style.display="block";
				document.all("tbxs"+i).value="-";
			}
		}
	}
	else
	{
		document.all("tb"+i).style.display="none";
		document.all("tbxs"+i).value="+";
	}
}

function gb2utf8(data){
    var glbEncode = [];
     gb2utf8_data = data;
     execScript("gb2utf8_data = MidB(gb2utf8_data, 1)", "VBScript");
    var t=escape(gb2utf8_data).replace(/%u/g,"").replace(/(.{2})(.{2})/g,"%$2%$1").replace(/%([A-Z].)%(.{2})/g,"@$1$2");
     t=t.split("@");
    var i=0,j=t.length,k;
    while(++i<j) {
         k=t[i].substring(0,4);
        if(!glbEncode[k]) {
             gb2utf8_char = eval("0x"+k);
             execScript("gb2utf8_char = Chr(gb2utf8_char)", "VBScript");
             glbEncode[k]=escape(gb2utf8_char).substring(1,6);
         }
         t[i]=glbEncode[k]+t[i].substring(4);
     }
     gb2utf8_data = gb2utf8_char = null;
    return unescape(t.join("%"));
}

function RequestURL(strURL) 
{
	var xmlHttp = false; 
	try {
		xmlHttp = new ActiveXObject("Msxml2.XMLHTTP"); 
	} catch (e) { 
		try {
			xmlHttp = new ActiveXObject("Microsoft.XMLHTTP"); 
		} catch (e2) { 
			xmlHttp = false; 
		} 
	} 
	if (!xmlHttp && typeof XMLHttpRequest != 'undefined') { 
		xmlHttp = new XMLHttpRequest(); 
	} 
	if(!xmlHttp){
		return false;
	} 
	xmlHttp.open("get",strURL,false);
	xmlHttp.Send();
	var Mygettext = gb2utf8(xmlHttp.responseBody);
	return Mygettext;
}

function findpass(yhm,lxfs,aqda,pass,pass1,yzm,yyzm)
{
	if(yhm=="")
	{
		alert('输入用户名!');
		document.frm.yhm.focus();
		return false;
	}
	if(lxfs=="")
	{	
		alert('输入邮箱!');
		document.frm.lxfs.focus();
		return false;
	}
	if(yzm=="")
	{	
		alert('输入验证码!');
		document.frm.yzm.focus();
		return false;
	}
	if(yzm!=yyzm)
	{	
		alert('验证码不对!');
		document.frm.yzm.focus();
		return false;
	}
	if(pass=="")
	{	
		alert('输入新密码!');
		document.frm.pass.focus();
		return false;
	}
	if(pass1=="")
	{	
		alert('输入新密码验证!');
		document.frm.pass1.focus();
		return false;
	}
	if(pass1!=pass)
	{	
		alert('两次输入 密码不一致!');
		document.frm.pass.focus();
		return false;
	}
	return true;
}

//active fream
function f_frameStyleResize(targObj)
{
var targWin = targObj.parent.document.all[targObj.name];
if(targWin != null)
{
var Heightvalue = targObj.document.body.scrollHeight
if(Heightvalue < 400){Heightvalue = 400} //不小于600
targWin.style.pixelHeight = Heightvalue;
} 
}
function f_iframeResize()
{
bLoadComplete = true;
f_frameStyleResize(self);
}

var bLoadComplete = false;
window.onload = f_iframeResize;

//active file
var num=0;
var BeforValue="";
var betext="";
function Creat()   
{
  num++;
  var i;
  var str;
  var Upf=document.getElementById("Upf");
  var file=document.createElement("<input type='file' id='file" + num + "' name='file" + num + "' size='20'/>");
  //var text=document.createElement("<input type='text' name='zt'/>");
  //var fileText=document.createTextNode("介绍：");						  
  var href=document.createElement("<a href='javascript:void(0)' onclick='remove(" +num +")' id='h"+num+"'>");
  var hrefText=document.createTextNode("[删除]");
  href.appendChild(hrefText);
  
  var br=document.createElement("<br id='b"+num+"'>");
  Upf.appendChild(file);
  //Upf.appendChild(fileText);
  //Upf.appendChild(text);
  Upf.appendChild(href);
  Upf.appendChild(br);
}

function remove(value)
{
	var Upf=document.getElementById("Upf");
	var re=document.getElementById("file"+value);
	//var re4=document.getElementById("js"+value);
	var re1=document.getElementById("h"+value);
	var re2=document.getElementById("b"+value);
	Upf.removeChild(re);
	Upf.removeChild(re1);
	Upf.removeChild(re2);
}
 